image: mcr.microsoft.com/dotnet/core/sdk:3.1

stages:
  - build

variables:
  Project: "Cloudburst.EventBus"
  NugetUrl: "https://api.nuget.org/v3/index.json"
  PushOptions: "--api-key $NugetApiKey --skip-duplicate --source $NugetUrl"

before_script:
  - "mkdir Build"

CloudburstEventBus_Release:
  stage: build
  only:
    - master
  script:
    - "dotnet build -c Release"
    - "for pkg in Build/*.nupkg; do dotnet nuget push $pkg $PushOptions; done"
